<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>fr.ge.core</groupId>
        <artifactId>java-pom</artifactId>
        <version>2.16.1.3</version>
    </parent>

    <groupId>fr.ge.common.dashboard</groupId>
    <artifactId>dashboard-backoffice</artifactId>
    <version>2.16.1.8-SNAPSHOT</version>
    <packaging>war</packaging>
    <name>GPART BACKOFFICE DASHBOARD WEBCLIENT</name>

    <scm>
        <connection>scm:git:https://gitlab.com/guichet-entreprises.fr/apps/dashboard-partners.git</connection>
        <developerConnection>scm:git:https://gitlab.com/guichet-entreprises.fr/apps/dashboard-partners.git</developerConnection>
        <url>https://gitlab.com/guichet-entreprises.fr/apps/dashboard-partners</url>
        <tag>HEAD</tag>
    </scm>

    <properties>
        <!-- GE's internals dependencies -->
        <nash-webservices.version>2.16.1.2</nash-webservices.version>
        <ct-authentification.version>2.9.2.1</ct-authentification.version>
        <ge-record-ws-contract.version>2.16.1.0</ge-record-ws-contract.version>
        <ge-i18n-thymeleaf3.version>2.3.9.1</ge-i18n-thymeleaf3.version>
        <ge-core-web.version>2.7.9.1</ge-core-web.version>
        <ge-directory-ws-contract.version>2.11.1.0</ge-directory-ws-contract.version>
        <ge-proxy-payment-ws-contract.version>2.8.2.0</ge-proxy-payment-ws-contract.version>
        <common-utils.version>2.11.6.0</common-utils.version>
        <layouts.version>2.16.1.3</layouts.version>


        <!-- XXX LAB : retirer progressivement les redondances avec java-pom -->
        <!-- Version sur java-pom: 1.1.0.Final -->
        <validation-api.version>1.0.0.GA</validation-api.version>

        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.build.timestamp.format>yyyy</maven.build.timestamp.format>
        <css-target-dir>${project.build.directory}/${project.name}/css</css-target-dir>
        <webapp-target-dir>${project.build.directory}/${project.build.finalName}</webapp-target-dir>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>fr.ge.common.layout</groupId>
                <artifactId>nash-layout</artifactId>
                <version>${layouts.version}</version>
            </dependency>
            
            <!-- Dependences internes Directory -->
            <dependency>
                <groupId>fr.ge.common.directory</groupId>
                <artifactId>ge-directory-ws-contract</artifactId>
                <version>${ge-directory-ws-contract.version}</version>
            </dependency>

            <dependency>
                <groupId>fr.ge.common.proxy</groupId>
                <artifactId>proxy-payment-ws-contract</artifactId>
                <version>${ge-proxy-payment-ws-contract.version}</version>
            </dependency>

            <!-- Dépendences Guichet Entreprises -->
            <!-- GE's internals dependencies -->
            <dependency>
                <groupId>fr.ge.common.nash</groupId>
                <artifactId>nash-ws-contract</artifactId>
                <version>${nash-webservices.version}</version>
            </dependency>
            <dependency>
                <groupId>fr.ge.gent</groupId>
                <artifactId>ge-record-ws-contract</artifactId>
                <version>${ge-record-ws-contract.version}</version>
            </dependency>

            <dependency><!-- non présent dans java-pom -->
                <groupId>fr.ge.common.i18n</groupId>
                <artifactId>ge-i18n-thymeleaf3</artifactId>
                <version>${ge-i18n-thymeleaf3.version}</version>
            </dependency>
            <dependency>
                <groupId>fr.ge.core</groupId>
                <artifactId>ge-core-web</artifactId>
                <version>${ge-core-web.version}</version>
            </dependency>
            <dependency>
                <groupId>fr.ge.ct</groupId>
                <artifactId>ct-authentification</artifactId>
                <version>${ct-authentification.version}</version>
            </dependency>
	        <dependency>
	            <groupId>fr.ge.common.utils</groupId>
	            <artifactId>common-test-utils</artifactId>
                <version>${common-utils.version}</version>
	        </dependency>
	        <dependency>
	            <groupId>fr.ge.common.utils</groupId>
	            <artifactId>common-web-utils</artifactId>
                <version>${common-utils.version}</version>
	        </dependency>
            <dependency>
                <groupId>org.pegdown</groupId>
                <artifactId>pegdown</artifactId>
                <version>${pegdown.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.ow2.asm</groupId>
                        <artifactId>asm</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!-- GE's internals dependencies -->
        <dependency>
            <groupId>fr.ge.common.layout</groupId>
            <artifactId>nash-layout</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.common.utils</groupId>
            <artifactId>common-web-utils</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.common.directory</groupId>
            <artifactId>ge-directory-ws-contract</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.common.proxy</groupId>
            <artifactId>proxy-payment-ws-contract</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.ct</groupId>
            <artifactId>ct-authentification</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.common.i18n</groupId>
            <artifactId>ge-i18n-thymeleaf3</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.core</groupId>
            <artifactId>ge-core-web</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.common.nash</groupId>
            <artifactId>nash-ws-contract</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.gent</groupId>
            <artifactId>ge-record-ws-contract</artifactId>
        </dependency>

        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-slf4j-impl</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-api</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-core</artifactId>
            <scope>runtime</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-webmvc</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-config</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-web</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-fileupload</groupId>
            <artifactId>commons-fileupload</artifactId>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf</groupId>
            <artifactId>thymeleaf-spring4</artifactId>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf.extras</groupId>
            <artifactId>thymeleaf-extras-springsecurity4</artifactId>
        </dependency>
        <dependency>
            <groupId>org.pegdown</groupId>
            <artifactId>pegdown</artifactId>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf</groupId>
            <artifactId>thymeleaf</artifactId>
        </dependency>
        <dependency>
            <groupId>ognl</groupId>
            <artifactId>ognl</artifactId>
        </dependency>
        <dependency>
            <groupId>net.sf.appstatus</groupId>
            <artifactId>appstatus-web</artifactId>
        </dependency>
        <dependency>
            <groupId>net.sf.appstatus</groupId>
            <artifactId>appstatus-services-inprocess</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-aop</artifactId>
        </dependency>
        <dependency>
            <groupId>org.aspectj</groupId>
            <artifactId>aspectjweaver</artifactId>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf</groupId>
            <artifactId>thymeleaf-testing</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.hamcrest</groupId>
            <artifactId>hamcrest-library</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-rs-client</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-frontend-jaxrs</artifactId>
        </dependency>
        <!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-core -->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.jaxrs</groupId>
            <artifactId>jackson-jaxrs-json-provider</artifactId>
        </dependency>
        <dependency>
            <groupId>org.easytesting</groupId>
            <artifactId>fest-assert</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-collections4</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
        </dependency>
        <dependency>
            <groupId>javax.xml.bind</groupId>
            <artifactId>jaxb-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.parboiled</groupId>
            <artifactId>parboiled-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.parboiled</groupId>
            <artifactId>parboiled-java</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.ge.common.utils</groupId>
            <artifactId>common-test-utils</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-local</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http-jetty</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <excludes>
                    <exclude>public/css/mixins/**</exclude>
                    <exclude>public/**/*.less</exclude>
                    <exclude>public/js/external/**</exclude>
                    <exclude>views/**/*.html</exclude>
                </excludes>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <artifactId>maven-assembly-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <configuration>
                    <packagingExcludes>css/mixins/**, **/*.less</packagingExcludes>
                </configuration>
            </plugin>
            <plugin>
                <groupId>com.github.eirslett</groupId>
                <artifactId>frontend-maven-plugin</artifactId>
                <configuration>
                    <srcdir>${basedir}/src/main/resources/public</srcdir>
                </configuration>
                <executions>
                    <execution>
                        <id>frontend-initialisation</id>
                        <goals>
                            <goal>install-node-and-npm</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>frontend-npm-install</id>
                        <goals>
                            <goal>npm</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>frontend-grunt</id>
                        <goals>
                            <goal>grunt</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <profiles>
        <profile>
            <id>m2e</id>
            <activation>
                <property>
                    <name>m2e.version</name>
                </property>
            </activation>
            <build>
                <resources>
                    <resource>
                        <filtering>false</filtering>
                        <directory>src/main/resources</directory>
                    </resource>
                    <resource>
                        <filtering>true</filtering>
                        <directory>src/main/config</directory>
                    </resource>
                </resources>
            </build>
            <properties>
                <css-target-dir>${project.build.directory}/m2e-wtp/web-resources/css</css-target-dir>
                <webapp-target-dir>${project.build.directory}/m2e-wtp/web-resources</webapp-target-dir>

                <log.file.technical>${project.build.directory}/logs/tech.log</log.file.technical>
                <log.file.functional>${project.build.directory}/logs/func.log</log.file.functional>
                <log.file.thirdParty>${project.build.directory}/logs/thirdParty.log</log.file.thirdParty>
                <log.max_size>1MB</log.max_size>
                <log.max_index>20</log.max_index>
                <log.level>warn</log.level>
                <log.level_fwk>warn</log.level_fwk>
                <log.level_app>debug</log.level_app>
                <log.level_ge>info</log.level_ge>
                
                <environment>Local</environment>
                <bo.domain.name>guichet-partenaires</bo.domain.name>
                <frontUrl>http://www.dev.guichet-entreprises.fr</frontUrl>
                <bo.forms.url>http://localhost:8080/nash-client-web</bo.forms.url>
                <bo.nash.url>http://localhost:8080/nash-client-web</bo.nash.url>
                <bo.dashboard.result.max>100</bo.dashboard.result.max>
                <mas.nash.service.url>http://localhost:10080/nash-ws-server/api</mas.nash.service.url>
                <mas.nash.service.url.isalive>http://localhost:10080/nash-ws-server/status</mas.nash.service.url.isalive>
                <ct.authentification.url.modification />
                <ct.authentification.url.logout />
                <ct.authentification.url.exclude>^.*/(status|(css|fonts|images|js)/.*)$</ct.authentification.url.exclude>
                <ct.authentification.webservice.url />
                <mas.directory.service.url>http://localhost:10080/ge-directory-ws-server/api</mas.directory.service.url>
                <mas.directory.service.url.isalive>http://localhost:10080/ge-directory-ws-server/status</mas.directory.service.url.isalive>
                <ge.feedback.host>http://localhost:10080/ge-feedback-ws-server</ge.feedback.host>
                <ge.feedback.url>/api/public/v1/feedback/widget.js</ge.feedback.url>
                <bo.engine.user.type>bo</bo.engine.user.type>
                <formsUrl>http://localhost:8080/nash-client-web</formsUrl>
                <forms.nash.create.user.url>http://localhost:8080/nash-client-forge</forms.nash.create.user.url>
                <forms.nash.create.bankAccount.url>http://localhost:8080/nash-client-forge/form/use?reference=Habilitations%2FCr%C3%A9ation+et+Modification+d%27un+compte+bancaire+pour+une+Autorit%C3%A9+comp%C3%A9tente</forms.nash.create.bankAccount.url>
                <forms.nash.configure.transmissionChannels.url>http://localhost:8080/nash-client-forge/form/use?reference=Formalit%C3%A9s+de+gestion%2FGestion+des+canaux+de+transmission+des+dossiers</forms.nash.configure.transmissionChannels.url>
                <ws.proxy.payment.url>http://localhost:10080/proxy-payment/private</ws.proxy.payment.url>
                <ws.proxy.payment.url.isalive>https://localhost:10080/proxy-payment/status</ws.proxy.payment.url.isalive>
                <ws.directory.private.url>http://localhost:10080/ge-directory-ws-server/api/private/v1</ws.directory.private.url>
            </properties>
        </profile>
        <profile>
            <id>full-clean</id>
            <activation>
                <property>
                    <name>fullClean</name>
                </property>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-clean-plugin</artifactId>
                        <version>3.0.0</version>
                        <configuration>
                            <filesets>
                                <fileset>
                                    <directory>${project.basedir}</directory>
                                    <includes>
                                        <include>node/**</include>
                                        <include>node_modules/**</include>
                                        <include>bower_components/**</include>
                                    </includes>
                                </fileset>
                            </filesets>
                            <followSymLinks>false</followSymLinks>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>

</project>
